Bug 505447 - Review Request: perl-HTML-FillInForm - Populates HTML Forms with data
Review Request: perl-HTML-FillInForm - Populates HTML Forms with data
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-11 18:39 EDT by Emmanuel Seyman
Modified: 2009-06-24 15:25 EDT (History)
3 users (show)

See Also:
Fixed In Version: 2.00-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-24 15:25:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Emmanuel Seyman 2009-06-11 18:39:50 EDT
Spec URL: http://people.parinux.org/~seyman/fedora/perl-HTML-FillInForm/perl-HTML-FillInForm.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-HTML-FillInForm/perl-HTML-FillInForm-2.00-1.fc11.src.rpm
Description:
This module fills in an HTML form with data from a Perl data structure,
allowing you to keep the HTML and Perl separate.
Comment 1 Parag AN(पराग) 2009-06-12 00:55:07 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1407299
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
9d107115e4f9e9c8e7aba53183e75744f2a8a6c4  HTML-FillInForm-2.00.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=23, Tests=104,  2 wallclock secs ( 0.14 usr  0.05 sys +  0.97 cusr  0.19 csys =  1.35 CPU)
+ Package  perl-HTML-FillInForm-2.00-1.fc12.noarch=>
Provides: perl(HTML::FillInForm) = 2.00
Requires: perl >= 0:5.005 perl(Carp) perl(HTML::Parser) >= 3.26 perl(integer) perl(strict) perl(vars)
+ Not a GUI application

APPROVED.
Comment 2 Emmanuel Seyman 2009-06-12 04:13:28 EDT
Thanks!

New Package CVS Request
=======================
Package Name: perl-HTML-FillInForm
Short Description: Populates HTML Forms with data
Owners: eseyman
Branches: F-11 F-10
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-06-14 15:01:44 EDT
cvs done.
Comment 4 Fedora Update System 2009-06-14 19:00:00 EDT
perl-HTML-FillInForm-2.00-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-HTML-FillInForm-2.00-1.fc11
Comment 5 Fedora Update System 2009-06-18 07:42:42 EDT
perl-HTML-FillInForm-2.00-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-HTML-FillInForm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6553
Comment 6 Fedora Update System 2009-06-24 15:25:34 EDT
perl-HTML-FillInForm-2.00-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.